import { MidwayConfig } from '@midwayjs/core';
const ip = 'host.docker.internal';
const project = 'follow23';
export default {
  mongoose: {
    dataSource: {
      default: {
        uri: `mongodb://${ip}:27017/${project}`,
        options: {
          user: 'admin',
          pass: 'admin',
          authSource: 'admin',
          useNewUrlParser: true,
        },
        entities: ['./entity'],
      },
    },
  },
  redis: {
    client: {
      port: 6379, // Redis port
      host: ip, // Redis host
      password: '123456',
      db: 4,
    },
  },
  rabbitmq: {
    url: `amqp://visit:visit@${ip}/visit`,
  },
} as MidwayConfig;
